CABS(3)

NAME
cabs, cabsf, cabsl - absolute value of a complex number

SYNOPSIS
#include <complex.h>

double cabs(double complex z);
float cabsf(float complex z);
long double cabsl(long double complex z);

Link with -lm.

DESCRIPTION
The cabs() function returns the absolute value of the complex number z. The result is a real number.

CONFORMING TO
C99

NOTES
The function is actually an alias for hypot(a, b) (or, equivalently, sqrt(a*a + b*b)).

SEE ALSO
abs(3), cimag(3), hypot(3), complex(7)

COLOPHON
This page is part of release 2.79 of the Linux man-pages project. A description of the project, and information about reporting bugs, can be found at http://www.kernel.org/doc/man-pages/.